Bug 2775 - Samba domain logon errors with Windows XP (64 bit)
Samba domain logon errors with Windows XP (64 bit)
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Domain Control
3.0.20
x86 Windows XP
: P3 major
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
http://www.clarkconnect.org/forums/sh...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-07 11:56 UTC by batkisson
Modified: 2006-04-08 07:43 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description batkisson 2005-06-07 11:56:14 UTC
I have Samba running an NT domain with Windows 2000 and XPsp2 clients.  The 
domain and config work great with 32 bit machines.

However, we just got our first Windows XP (64 bit) box.  After adding the 64 
bit machine to the domain and trying to log in as a user, I get the following 
error:

"The System cannot log you on due to the following error: A Remote Procedure 
Call (RPC) protocol error occured".

I have tried using Samba 3.0.14 & 3.0.15pre2 and still have the same problem.

I have seen a couple references to this bug, but could not find one in 
bugzilla.  
http://www.clarkconnect.org/forums/showflat.php?
Cat=&Board=samba&Number=71566&page=&view=&sb=5&o=&fpart=all&vc=1

http://www.linuxquestions.org/questions/history/324412
Comment 1 Gerald (Jerry) Carter 2005-06-27 05:47:22 UTC
This should be fixed in the current SAMBA_3_0 svn tree.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:20:46 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 3 Gerald (Jerry) Carter 2006-04-08 07:43:48 UTC
Cleaning up versions.  There was no 3.0.15 so leaving it in bugzilla 
is causing some confusion.  Moving these nuder 3.0.20.
Originally files against 3.0.15preX.